USB_DEVICE_INTERFACE(9)

NAME
USB_DEVICE_INTERFACE_PROTOCOL - describe a usb device with a specific interface protocol

SYNOPSIS

USB_DEVICE_INTERFACE_PROTOCOL(vend, prod, pr);

ARGUMENTS

vend
    the 16 bit USB Vendor ID

prod
    the 16 bit USB Product ID

pr
    bInterfaceProtocol value

DESCRIPTION

This macro is used to create a struct usb_device_id that matches a specific interface protocol of devices.

COPYRIGHT